WordPress.org

Support

Support » How-To and Troubleshooting » Post-hack upgrade fatal error

Post-hack upgrade fatal error

  • Hi all,

    A WordPress site I took care of was recently hacked by somebody who messed around in the SQL database. The site’s hosting company managed to get it working again, but I think we may have been left with some inconsistencies in the WordPress installation.

    The site is running WP 2.8.4 and so I want to upgrade it to 2.9.1 as part of a suite of measures to improve security. I backed everything up and deactivated all plugins and then used the automatic upgrade button, but the upgrade didn’t work – I received this error:

    Fatal error: Call to undefined method wpdb::db_version() in /home/test123/public_html/wp-admin/includes/update-core.php on line 223

    As it is the site is still working at least – it hasn’t crashed – but I need to upgrade and was just wondering if anybody had any advice as to the best thing to do to get it upgraded?

    Many thanks for any help,

    Rory. 🙂

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Post-hack upgrade fatal error’ is closed to new replies.